Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 81931 - e100 driver does not load on ServerWorks OSB4
Summary: e100 driver does not load on ServerWorks OSB4
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Public Beta
Classification: Retired
Component: kernel
Version: phoebe
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Garzik
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 79579
TreeView+ depends on / blocked
 
Reported: 2003-01-15 11:34 UTC by Jan Iven
Modified: 2013-07-03 02:09 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2003-01-31 15:39:26 UTC


Attachments (Terms of Use)

Description Jan Iven 2003-01-15 11:34:02 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 Galeon/1.2.6 (X11; Linux i686; U;) Gecko/20020830

Description of problem:
The e100 driver from the 2.4.20-2.2 kernel does not load against the onboard
"Intel Ethernet Pro 100". It fails with

Jan 14 12:29:17 lxcert03 kernel: Intel(R) PRO/100 Network Driver - version 2.1.24-k1
Jan 14 12:29:17 lxcert03 kernel: Copyright (c) 2002 Intel Corporation
Jan 14 12:29:17 lxcert03 kernel:
Jan 14 12:29:17 lxcert03 kernel: e100: hw init failed
Jan 14 12:29:17 lxcert03 kernel: e100: Failed to initialize, instance #0

The "eepro100" driver works fine.

# lspci -s 0:3.0 -vv

00:03.0 Ethernet controller: Intel Corp. 82557/8/9 [Ethernet Pro 100] (rev 08)
        Subsystem: Intel Corp. 82557/8/9 [Ethernet Pro 100]
        Control: I/O+ Mem+ BusMaster+ SpecCycle- MemWINV+ VGASnoop- ParErr-
Stepping- SERR+ FastB2B-
        Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr- DEVSEL=medium >TAbort-
<TAbort- <MAbort- >SERR- <PERR-
        Latency: 66 (2000ns min, 14000ns max), cache line size 08
        Interrupt: pin A routed to IRQ 18
        Region 0: Memory at fb101000 (32-bit, non-prefetchable) [size=4K]
        Region 1: I/O ports at 5400 [size=64]
        Region 2: Memory at fb000000 (32-bit, non-prefetchable) [size=1M]
        Capabilities: [dc] Power Management version 2
                Flags: PMEClk- DSI+ D1+ D2+ AuxCurrent=0mA
PME(D0+,D1+,D2+,D3hot+,D3cold+)
                Status: D0 PME-Enable- DSel=0 DScale=2 PME-

# lspci -s 0:3.0  -n
00:03.0 Class 0200: 8086:1229 (rev 08)



Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.default anaconda install picks 'e100' as driver and fails
2.manually select eepro100
3.works (separate bug, not written into /etc/modules.conf)
    

Additional info:

Comment 1 Jeff Garzik 2003-01-30 20:49:11 UTC
Can you test the Red Hat errata release candidate, available at
     http://people.redhat.com/jgarzik/pub/

If you have Red Hat 8.0, use kernel 2.4.18-23.8.0.

If you have Red Hat 7.x, use kernel 2.4.18-23.7.x.

Please let us know if this does, or does not, fix the problem.


Comment 2 Jan Iven 2003-01-31 11:44:03 UTC
2.4.18-23.8.0 seems to fix it, device is up and reports no errors. Small test
using FTP works fine.

Thanks
Jan

Comment 3 Jeff Garzik 2003-01-31 15:39:26 UTC
Thanks for the feedback!



Note You need to log in before you can comment on or make changes to this bug.